Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs
Interface RegistryPackage.Literals

Enclosing interface:
  RegistryPackage

    public static interface RegistryPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `ADD_SLOTS_REQUEST_TYPE` The meta object literal for the '`Add Slots Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `ADD_SLOTS_REQUEST_TYPE__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ADD_SLOTS_REQUEST_TYPE__SLOT` The meta object literal for the 'Slot' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `APPROVE_OBJECTS_REQUEST_TYPE` The meta object literal for the '`Approve Objects Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `APPROVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST` The meta object literal for the 'Object Ref List' containment reference feature.
`static org.eclipse.emf.ecore.EEnum` | `DELETION_SCOPE_TYPE` The meta object literal for the '`Deletion Scope Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `DELETION_SCOPE_TYPE_OBJECT` The meta object literal for the 'Deletion Scope Type Object' data type.
`static org.eclipse.emf.ecore.EClass` | `DEPRECATE_OBJECTS_REQUEST_TYPE` The meta object literal for the '`Deprecate Objects Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `DEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST` The meta object literal for the 'Object Ref List' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ADD_SLOTS_REQUEST` The meta object literal for the 'Add Slots Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__APPROVE_OBJECTS_REQUEST` The meta object literal for the 'Approve Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__DEPRECATE_OBJECTS_REQUEST` The meta object literal for the 'Deprecate Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__MIXED` The meta object literal for the 'Mixed' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__OPTIONAL_FEATURES_SUPPORTED` The meta object literal for the 'Optional Features Supported' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_ERROR` The meta object literal for the 'Registry Error' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_ERROR_LIST` The meta object literal for the 'Registry Error List' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_PROFILE` The meta object literal for the 'Registry Profile' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_RESPONSE` The meta object literal for the 'Registry Response' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REMOVE_OBJECTS_REQUEST` The meta object literal for the 'Remove Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REMOVE_SLOTS_REQUEST` The meta object literal for the 'Remove Slots Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REQUEST_ACCEPTED_RESPONSE` The meta object literal for the 'Request Accepted Response' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ROOT_ELEMENT` The meta object literal for the 'Root Element' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SUBMIT_OBJECTS_REQUEST` The meta object literal for the 'Submit Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__UPDATE_OBJECTS_REQUEST` The meta object literal for the 'Update Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The meta object literal for the 'XMLNS Prefix Map' map feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The meta object literal for the 'XSI Schema Location' map feature.
`static org.eclipse.emf.ecore.EEnum` | `ERROR_TYPE` The meta object literal for the '`Error Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `ERROR_TYPE_OBJECT` The meta object literal for the 'Error Type Object' data type.
`static org.eclipse.emf.ecore.EClass` | `OPTIONAL_FEATURES_SUPPORTED_TYPE` The meta object literal for the '`Optional Features Supported Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `OPTIONAL_FEATURES_SUPPORTED_TYPE__SQL_QUERY` The meta object literal for the 'Sql Query' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `OPTIONAL_FEATURES_SUPPORTED_TYPE__XQUERY` The meta object literal for the 'XQuery' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_ERROR_LIST_TYPE` The meta object literal for the '`Error List Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ERROR_LIST_TYPE__HIGHEST_SEVERITY` The meta object literal for the 'Highest Severity' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_ERROR_LIST_TYPE__REGISTRY_ERROR` The meta object literal for the 'Registry Error' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_ERROR_TYPE` The meta object literal for the '`Error Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ERROR_TYPE__CODE_CONTEXT` The meta object literal for the 'Code Context' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ERROR_TYPE__ERROR_CODE` The meta object literal for the 'Error Code' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ERROR_TYPE__LOCATION` The meta object literal for the 'Location' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ERROR_TYPE__SEVERITY` The meta object literal for the 'Severity' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ERROR_TYPE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_PROFILE_TYPE` The meta object literal for the '`Profile Type`' class.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_PROFILE_TYPE__OPTIONAL_FEATURES_SUPPORTED` The meta object literal for the 'Optional Features Supported' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_PROFILE_TYPE__VERSION` The meta object literal for the 'Version' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_RESPONSE_TYPE` The meta object literal for the '`Response Type`' class.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_RESPONSE_TYPE__ADHOC_QUERY_RESPONSE` The meta object literal for the 'Adhoc Query Response' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_RESPONSE_TYPE__GET_CONTENT_RESPONSE` The meta object literal for the 'Get Content Response' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_RESPONSE_TYPE__REGISTRY_ERROR_LIST` The meta object literal for the 'Registry Error List' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_RESPONSE_TYPE__STATUS` The meta object literal for the 'Status' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `REMOVE_OBJECTS_REQUEST_TYPE` The meta object literal for the '`Remove Objects Request Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `REMOVE_OBJECTS_REQUEST_TYPE__DELETION_SCOPE` The meta object literal for the 'Deletion Scope' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `REMOVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST` The meta object literal for the 'Object Ref List' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `REMOVE_SLOTS_REQUEST_TYPE` The meta object literal for the '`Remove Slots Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `REMOVE_SLOTS_REQUEST_TYPE__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `REMOVE_SLOTS_REQUEST_TYPE__SLOT` The meta object literal for the 'Slot' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `REQUEST_ACCEPTED_RESPONSE_TYPE` The meta object literal for the '`Request Accepted Response Type`' class.
`static org.eclipse.emf.ecore.EClass` | `ROOT_ELEMENT_TYPE` The meta object literal for the '`Root Element Type`' class.
`static org.eclipse.emf.ecore.EReference` | `ROOT_ELEMENT_TYPE__ADD_SLOTS_REQUEST` The meta object literal for the 'Add Slots Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ROOT_ELEMENT_TYPE__ADHOC_QUERY_REQUEST` The meta object literal for the 'Adhoc Query Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ROOT_ELEMENT_TYPE__APPROVE_OBJECTS_REQUEST` The meta object literal for the 'Approve Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ROOT_ELEMENT_TYPE__DEPRECATE_OBJECTS_REQUEST` The meta object literal for the 'Deprecate Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ROOT_ELEMENT_TYPE__GET_CONTENT_REQUEST` The meta object literal for the 'Get Content Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ROOT_ELEMENT_TYPE__REGISTRY_PROFILE` The meta object literal for the 'Registry Profile' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ROOT_ELEMENT_TYPE__REGISTRY_RESPONSE` The meta object literal for the 'Registry Response' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ROOT_ELEMENT_TYPE__REMOVE_OBJECTS_REQUEST` The meta object literal for the 'Remove Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ROOT_ELEMENT_TYPE__REMOVE_SLOTS_REQUEST` The meta object literal for the 'Remove Slots Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ROOT_ELEMENT_TYPE__SUBMIT_OBJECTS_REQUEST` The meta object literal for the 'Submit Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ROOT_ELEMENT_TYPE__UPDATE_OBJECTS_REQUEST` The meta object literal for the 'Update Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EEnum` | `STATUS_TYPE` The meta object literal for the '`Status Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `STATUS_TYPE_OBJECT` The meta object literal for the 'Status Type Object' data type.
`static org.eclipse.emf.ecore.EClass` | `SUBMIT_OBJECTS_REQUEST_TYPE` The meta object literal for the '`Submit Objects Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `SUBMIT_OBJECTS_REQUEST_TYPE__LEAF_REGISTRY_OBJECT_LIST` The meta object literal for the 'Leaf Registry Object List' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `UPDATE_OBJECTS_REQUEST_TYPE` The meta object literal for the '`Update Objects Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `UPDATE_OBJECTS_REQUEST_TYPE__LEAF_REGISTRY_OBJECT_LIST` The meta object literal for the 'Leaf Registry Object List' containment reference feature.

Field Detail

### ADD_SLOTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass ADD_SLOTS_REQUEST_TYPE

  The meta object literal for the '`Add Slots Request Type`' class.

  See Also:
    `AddSlotsRequestTypeImpl`, `RegistryPackageImpl.getAddSlotsRequestType()`

### ADD_SLOTS_REQUEST_TYPE__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference ADD_SLOTS_REQUEST_TYPE__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference feature.

### ADD_SLOTS_REQUEST_TYPE__SLOT

    static final org.eclipse.emf.ecore.EReference ADD_SLOTS_REQUEST_TYPE__SLOT

  The meta object literal for the 'Slot' containment reference list feature.

### APPROVE_OBJECTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass APPROVE_OBJECTS_REQUEST_TYPE

  The meta object literal for the '`Approve Objects Request Type`' class.

  See Also:
    `ApproveObjectsRequestTypeImpl`, `RegistryPackageImpl.getApproveObjectsRequestType()`

### APPROVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

    static final org.eclipse.emf.ecore.EReference APPROVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

  The meta object literal for the 'Object Ref List' containment reference feature.

### DEPRECATE_OBJECTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass DEPRECATE_OBJECTS_REQUEST_TYPE

  The meta object literal for the '`Deprecate Objects Request Type`' class.

  See Also:
    `DeprecateObjectsRequestTypeImpl`, `RegistryPackageImpl.getDeprecateObjectsRequestType()`

### DEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

    static final org.eclipse.emf.ecore.EReference DEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

  The meta object literal for the 'Object Ref List' containment reference feature.

### DOCUMENT_ROOT

    static final org.eclipse.emf.ecore.EClass DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `RegistryPackageImpl.getDocumentRoot()`

### DOCUMENT_ROOT__MIXED

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The meta object literal for the 'XMLNS Prefix Map' map feature.

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The meta object literal for the 'XSI Schema Location' map feature.

### DOCUMENT_ROOT__ADD_SLOTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ADD_SLOTS_REQUEST

  The meta object literal for the 'Add Slots Request' containment reference feature.

### DOCUMENT_ROOT__APPROVE_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__APPROVE_OBJECTS_REQUEST

  The meta object literal for the 'Approve Objects Request' containment reference feature.

### DOCUMENT_ROOT__DEPRECATE_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__DEPRECATE_OBJECTS_REQUEST

  The meta object literal for the 'Deprecate Objects Request' containment reference feature.

### DOCUMENT_ROOT__OPTIONAL_FEATURES_SUPPORTED

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__OPTIONAL_FEATURES_SUPPORTED

  The meta object literal for the 'Optional Features Supported' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_ERROR

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_ERROR

  The meta object literal for the 'Registry Error' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_ERROR_LIST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_ERROR_LIST

  The meta object literal for the 'Registry Error List' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_PROFILE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_PROFILE

  The meta object literal for the 'Registry Profile' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_RESPONSE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_RESPONSE

  The meta object literal for the 'Registry Response' containment reference feature.

### DOCUMENT_ROOT__REMOVE_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REMOVE_OBJECTS_REQUEST

  The meta object literal for the 'Remove Objects Request' containment reference feature.

### DOCUMENT_ROOT__REMOVE_SLOTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REMOVE_SLOTS_REQUEST

  The meta object literal for the 'Remove Slots Request' containment reference feature.

### DOCUMENT_ROOT__REQUEST_ACCEPTED_RESPONSE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REQUEST_ACCEPTED_RESPONSE

  The meta object literal for the 'Request Accepted Response' containment reference feature.

### DOCUMENT_ROOT__ROOT_ELEMENT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ROOT_ELEMENT

  The meta object literal for the 'Root Element' containment reference feature.

### DOCUMENT_ROOT__SUBMIT_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SUBMIT_OBJECTS_REQUEST

  The meta object literal for the 'Submit Objects Request' containment reference feature.

### DOCUMENT_ROOT__UPDATE_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__UPDATE_OBJECTS_REQUEST

  The meta object literal for the 'Update Objects Request' containment reference feature.

### OPTIONAL_FEATURES_SUPPORTED_TYPE

    static final org.eclipse.emf.ecore.EClass OPTIONAL_FEATURES_SUPPORTED_TYPE

  The meta object literal for the '`Optional Features Supported Type`' class.

  See Also:
    `OptionalFeaturesSupportedTypeImpl`, `RegistryPackageImpl.getOptionalFeaturesSupportedType()`

### OPTIONAL_FEATURES_SUPPORTED_TYPE__SQL_QUERY

    static final org.eclipse.emf.ecore.EAttribute OPTIONAL_FEATURES_SUPPORTED_TYPE__SQL_QUERY

  The meta object literal for the 'Sql Query' attribute feature.

### OPTIONAL_FEATURES_SUPPORTED_TYPE__XQUERY

    static final org.eclipse.emf.ecore.EAttribute OPTIONAL_FEATURES_SUPPORTED_TYPE__XQUERY

  The meta object literal for the 'XQuery' attribute feature.

### REGISTRY_ERROR_LIST_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_ERROR_LIST_TYPE

  The meta object literal for the '`Error List Type`' class.

  See Also:
    `RegistryErrorListTypeImpl`, `RegistryPackageImpl.getRegistryErrorListType()`

### REGISTRY_ERROR_LIST_TYPE__REGISTRY_ERROR

    static final org.eclipse.emf.ecore.EReference REGISTRY_ERROR_LIST_TYPE__REGISTRY_ERROR

  The meta object literal for the 'Registry Error' containment reference list feature.

### REGISTRY_ERROR_LIST_TYPE__HIGHEST_SEVERITY

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ERROR_LIST_TYPE__HIGHEST_SEVERITY

  The meta object literal for the 'Highest Severity' attribute feature.

### REGISTRY_ERROR_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_ERROR_TYPE

  The meta object literal for the '`Error Type`' class.

  See Also:
    `RegistryErrorTypeImpl`, `RegistryPackageImpl.getRegistryErrorType()`

### REGISTRY_ERROR_TYPE__VALUE

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ERROR_TYPE__VALUE

  The meta object literal for the 'Value' attribute feature.

### REGISTRY_ERROR_TYPE__CODE_CONTEXT

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ERROR_TYPE__CODE_CONTEXT

  The meta object literal for the 'Code Context' attribute feature.

### REGISTRY_ERROR_TYPE__ERROR_CODE

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ERROR_TYPE__ERROR_CODE

  The meta object literal for the 'Error Code' attribute feature.

### REGISTRY_ERROR_TYPE__LOCATION

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ERROR_TYPE__LOCATION

  The meta object literal for the 'Location' attribute feature.

### REGISTRY_ERROR_TYPE__SEVERITY

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ERROR_TYPE__SEVERITY

  The meta object literal for the 'Severity' attribute feature.

### REGISTRY_PROFILE_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_PROFILE_TYPE

  The meta object literal for the '`Profile Type`' class.

  See Also:
    `RegistryProfileTypeImpl`, `RegistryPackageImpl.getRegistryProfileType()`

### REGISTRY_PROFILE_TYPE__OPTIONAL_FEATURES_SUPPORTED

    static final org.eclipse.emf.ecore.EReference REGISTRY_PROFILE_TYPE__OPTIONAL_FEATURES_SUPPORTED

  The meta object literal for the 'Optional Features Supported' containment reference feature.

### REGISTRY_PROFILE_TYPE__VERSION

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_PROFILE_TYPE__VERSION

  The meta object literal for the 'Version' attribute feature.

### REGISTRY_RESPONSE_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_RESPONSE_TYPE

  The meta object literal for the '`Response Type`' class.

  See Also:
    `RegistryResponseTypeImpl`, `RegistryPackageImpl.getRegistryResponseType()`

### REGISTRY_RESPONSE_TYPE__ADHOC_QUERY_RESPONSE

    static final org.eclipse.emf.ecore.EReference REGISTRY_RESPONSE_TYPE__ADHOC_QUERY_RESPONSE

  The meta object literal for the 'Adhoc Query Response' containment reference feature.

### REGISTRY_RESPONSE_TYPE__GET_CONTENT_RESPONSE

    static final org.eclipse.emf.ecore.EReference REGISTRY_RESPONSE_TYPE__GET_CONTENT_RESPONSE

  The meta object literal for the 'Get Content Response' containment reference feature.

### REGISTRY_RESPONSE_TYPE__REGISTRY_ERROR_LIST

    static final org.eclipse.emf.ecore.EReference REGISTRY_RESPONSE_TYPE__REGISTRY_ERROR_LIST

  The meta object literal for the 'Registry Error List' containment reference feature.

### REGISTRY_RESPONSE_TYPE__STATUS

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_RESPONSE_TYPE__STATUS

  The meta object literal for the 'Status' attribute feature.

### REMOVE_OBJECTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass REMOVE_OBJECTS_REQUEST_TYPE

  The meta object literal for the '`Remove Objects Request Type`' class.

  See Also:
    `RemoveObjectsRequestTypeImpl`, `RegistryPackageImpl.getRemoveObjectsRequestType()`

### REMOVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

    static final org.eclipse.emf.ecore.EReference REMOVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

  The meta object literal for the 'Object Ref List' containment reference feature.

### REMOVE_OBJECTS_REQUEST_TYPE__DELETION_SCOPE

    static final org.eclipse.emf.ecore.EAttribute REMOVE_OBJECTS_REQUEST_TYPE__DELETION_SCOPE

  The meta object literal for the 'Deletion Scope' attribute feature.

### REMOVE_SLOTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass REMOVE_SLOTS_REQUEST_TYPE

  The meta object literal for the '`Remove Slots Request Type`' class.

  See Also:
    `RemoveSlotsRequestTypeImpl`, `RegistryPackageImpl.getRemoveSlotsRequestType()`

### REMOVE_SLOTS_REQUEST_TYPE__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference REMOVE_SLOTS_REQUEST_TYPE__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference feature.

### REMOVE_SLOTS_REQUEST_TYPE__SLOT

    static final org.eclipse.emf.ecore.EReference REMOVE_SLOTS_REQUEST_TYPE__SLOT

  The meta object literal for the 'Slot' containment reference list feature.

### REQUEST_ACCEPTED_RESPONSE_TYPE

    static final org.eclipse.emf.ecore.EClass REQUEST_ACCEPTED_RESPONSE_TYPE

  The meta object literal for the '`Request Accepted Response Type`' class.

  See Also:
    `RequestAcceptedResponseTypeImpl`, `RegistryPackageImpl.getRequestAcceptedResponseType()`

### ROOT_ELEMENT_TYPE

    static final org.eclipse.emf.ecore.EClass ROOT_ELEMENT_TYPE

  The meta object literal for the '`Root Element Type`' class.

  See Also:
    `RootElementTypeImpl`, `RegistryPackageImpl.getRootElementType()`

### ROOT_ELEMENT_TYPE__SUBMIT_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference ROOT_ELEMENT_TYPE__SUBMIT_OBJECTS_REQUEST

  The meta object literal for the 'Submit Objects Request' containment reference feature.

### ROOT_ELEMENT_TYPE__UPDATE_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference ROOT_ELEMENT_TYPE__UPDATE_OBJECTS_REQUEST

  The meta object literal for the 'Update Objects Request' containment reference feature.

### ROOT_ELEMENT_TYPE__APPROVE_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference ROOT_ELEMENT_TYPE__APPROVE_OBJECTS_REQUEST

  The meta object literal for the 'Approve Objects Request' containment reference feature.

### ROOT_ELEMENT_TYPE__DEPRECATE_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference ROOT_ELEMENT_TYPE__DEPRECATE_OBJECTS_REQUEST

  The meta object literal for the 'Deprecate Objects Request' containment reference feature.

### ROOT_ELEMENT_TYPE__REMOVE_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference ROOT_ELEMENT_TYPE__REMOVE_OBJECTS_REQUEST

  The meta object literal for the 'Remove Objects Request' containment reference feature.

### ROOT_ELEMENT_TYPE__ADHOC_QUERY_REQUEST

    static final org.eclipse.emf.ecore.EReference ROOT_ELEMENT_TYPE__ADHOC_QUERY_REQUEST

  The meta object literal for the 'Adhoc Query Request' containment reference feature.

### ROOT_ELEMENT_TYPE__GET_CONTENT_REQUEST

    static final org.eclipse.emf.ecore.EReference ROOT_ELEMENT_TYPE__GET_CONTENT_REQUEST

  The meta object literal for the 'Get Content Request' containment reference feature.

### ROOT_ELEMENT_TYPE__ADD_SLOTS_REQUEST

    static final org.eclipse.emf.ecore.EReference ROOT_ELEMENT_TYPE__ADD_SLOTS_REQUEST

  The meta object literal for the 'Add Slots Request' containment reference feature.

### ROOT_ELEMENT_TYPE__REMOVE_SLOTS_REQUEST

    static final org.eclipse.emf.ecore.EReference ROOT_ELEMENT_TYPE__REMOVE_SLOTS_REQUEST

  The meta object literal for the 'Remove Slots Request' containment reference feature.

### ROOT_ELEMENT_TYPE__REGISTRY_RESPONSE

    static final org.eclipse.emf.ecore.EReference ROOT_ELEMENT_TYPE__REGISTRY_RESPONSE

  The meta object literal for the 'Registry Response' containment reference feature.

### ROOT_ELEMENT_TYPE__REGISTRY_PROFILE

    static final org.eclipse.emf.ecore.EReference ROOT_ELEMENT_TYPE__REGISTRY_PROFILE

  The meta object literal for the 'Registry Profile' containment reference feature.

### SUBMIT_OBJECTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass SUBMIT_OBJECTS_REQUEST_TYPE

  The meta object literal for the '`Submit Objects Request Type`' class.

  See Also:
    `SubmitObjectsRequestTypeImpl`, `RegistryPackageImpl.getSubmitObjectsRequestType()`

### SUBMIT_OBJECTS_REQUEST_TYPE__LEAF_REGISTRY_OBJECT_LIST

    static final org.eclipse.emf.ecore.EReference SUBMIT_OBJECTS_REQUEST_TYPE__LEAF_REGISTRY_OBJECT_LIST

  The meta object literal for the 'Leaf Registry Object List' containment reference feature.

### UPDATE_OBJECTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass UPDATE_OBJECTS_REQUEST_TYPE

  The meta object literal for the '`Update Objects Request Type`' class.

  See Also:
    `UpdateObjectsRequestTypeImpl`, `RegistryPackageImpl.getUpdateObjectsRequestType()`

### UPDATE_OBJECTS_REQUEST_TYPE__LEAF_REGISTRY_OBJECT_LIST

    static final org.eclipse.emf.ecore.EReference UPDATE_OBJECTS_REQUEST_TYPE__LEAF_REGISTRY_OBJECT_LIST

  The meta object literal for the 'Leaf Registry Object List' containment reference feature.

### DELETION_SCOPE_TYPE

    static final org.eclipse.emf.ecore.EEnum DELETION_SCOPE_TYPE

  The meta object literal for the '`Deletion Scope Type`' enum.

  See Also:
    `DeletionScopeType`, `RegistryPackageImpl.getDeletionScopeType()`

### ERROR_TYPE

    static final org.eclipse.emf.ecore.EEnum ERROR_TYPE

  The meta object literal for the '`Error Type`' enum.

  See Also:
    `ErrorType`, `RegistryPackageImpl.getErrorType()`

### STATUS_TYPE

    static final org.eclipse.emf.ecore.EEnum STATUS_TYPE

  The meta object literal for the '`Status Type`' enum.

  See Also:
    `StatusType`, `RegistryPackageImpl.getStatusType()`

### DELETION_SCOPE_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType DELETION_SCOPE_TYPE_OBJECT

  The meta object literal for the 'Deletion Scope Type Object' data type.

  See Also:
    `DeletionScopeType`, `RegistryPackageImpl.getDeletionScopeTypeObject()`

### ERROR_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType ERROR_TYPE_OBJECT

  The meta object literal for the 'Error Type Object' data type.

  See Also:
    `ErrorType`, `RegistryPackageImpl.getErrorTypeObject()`

### STATUS_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType STATUS_TYPE_OBJECT

  The meta object literal for the 'Status Type Object' data type.

  See Also:
    `StatusType`, `RegistryPackageImpl.getStatusTypeObject()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD